Install a manifest add-on on a cluster
import requests
url = "https://platform.ankra.app/api/v1/org/manifest-addons/{addon_id}/install"
payload = { "cluster_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cluster_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/manifest-addons/{addon_id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/manifest-addons/{addon_id}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cluster_id": "<string>"
}
'{
"installation_id": "<string>",
"addon_id": "<string>",
"version": "<string>",
"status": "<string>"
}Applications
Install a manifest add-on on a cluster
Installs a pinned version of the manifest add-on onto a cluster with the given option inputs and queues the deploy. Needs applications.deploy. A cluster busy with another change or an add-on not ready answers 409.
POST
/
api
/
v1
/
org
/
manifest-addons
/
{addon_id}
/
install
Install a manifest add-on on a cluster
import requests
url = "https://platform.ankra.app/api/v1/org/manifest-addons/{addon_id}/install"
payload = { "cluster_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cluster_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/manifest-addons/{addon_id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/manifest-addons/{addon_id}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cluster_id": "<string>"
}
'{
"installation_id": "<string>",
"addon_id": "<string>",
"version": "<string>",
"status": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The manifest add-on's id.
Body
application/json